+++
title = "Use ZFS snapshot"
taxonomies.categories = [ "zfs", "snapshot", "filesystem", "backup", "update", "upgrade" ]
+++

## Make a ZFS snapshot
~~~shell
sudo zfs snapshot zroot/safe/persist@<name>
~~~

## Rollback

### single files
The snapshots can be accessed under `<mountpoint>/.zfs/snapshot/...`

### fully
~~~shell
sudo zfs rollback zroot/safe/persist@<name>
~~~

## Delete a ZFS snapshot
~~~shell
sudo zfs destroy zroot/safe/persist@<name>
~~~
