{ stdenvNoCC, sfz, writeScriptBin }:

stdenvNoCC.mkDerivation rec {
  name = "hacc.earth-static";

  src = ./.;

  phases = [ "buildPhase" ];
  buildPhase = ''
    cd $src
    mkdir -p $out
    cp -r * $out
    rm $out/default.nix
  '';

  watch = writeScriptBin "watch" ''
    cd $(git rev-parse --show-toplevel)/websites/hacc.earth
    ${sfz}/bin/sfz "$@"
  '';
}
